---
Gitlab/NamespacedClass:
  Exclude:
    - 'app/controllers/abuse_reports_controller.rb'
    - 'app/controllers/acme_challenges_controller.rb'
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/autocomplete_controller.rb'
    - 'app/controllers/chaos_controller.rb'
    - 'app/controllers/confirmations_controller.rb'
    - 'app/controllers/dashboard_controller.rb'
    - 'app/controllers/graphql_controller.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/health_check_controller.rb'
    - 'app/controllers/health_controller.rb'
    - 'app/controllers/help_controller.rb'
    - 'app/controllers/ide_controller.rb'
    - 'app/controllers/invites_controller.rb'
    - 'app/controllers/jwks_controller.rb'
    - 'app/controllers/jwt_controller.rb'
    - 'app/controllers/metrics_controller.rb'
    - 'app/controllers/omniauth_callbacks_controller.rb'
    - 'app/controllers/passwords_controller.rb'
    - 'app/controllers/profiles_controller.rb'
    - 'app/controllers/projects_controller.rb'
    - 'app/controllers/registrations_controller.rb'
    - 'app/controllers/root_controller.rb'
    - 'app/controllers/runner_setup_controller.rb'
    - 'app/controllers/search_controller.rb'
    - 'app/controllers/sent_notifications_controller.rb'
    - 'app/controllers/sessions_controller.rb'
    - 'app/controllers/snippets_controller.rb'
    - 'app/controllers/uploads_controller.rb'
    - 'app/controllers/users_controller.rb'
    - 'app/controllers/whats_new_controller.rb'
    - 'app/finders/abuse_reports_finder.rb'
    - 'app/finders/access_requests_finder.rb'
    - 'app/finders/applications_finder.rb'
    - 'app/finders/award_emojis_finder.rb'
    - 'app/finders/branches_finder.rb'
    - 'app/finders/cluster_ancestors_finder.rb'
    - 'app/finders/clusters_finder.rb'
    - 'app/finders/container_repositories_finder.rb'
    - 'app/finders/context_commits_finder.rb'
    - 'app/finders/contributed_projects_finder.rb'
    - 'app/finders/deployments_finder.rb'
    - 'app/finders/events_finder.rb'
    - 'app/finders/feature_flags_finder.rb'
    - 'app/finders/feature_flags_user_lists_finder.rb'
    - 'app/finders/fork_projects_finder.rb'
    - 'app/finders/fork_targets_finder.rb'
    - 'app/finders/git_refs_finder.rb'
    - 'app/finders/group_descendants_finder.rb'
    - 'app/finders/group_finder.rb'
    - 'app/finders/group_members_finder.rb'
    - 'app/finders/group_projects_finder.rb'
    - 'app/finders/groups_finder.rb'
    - 'app/finders/issuable_finder.rb'
    - 'app/finders/issuable_finder/params.rb'
    - 'app/finders/issues_finder.rb'
    - 'app/finders/issues_finder/params.rb'
    - 'app/finders/joined_groups_finder.rb'
    - 'app/finders/keys_finder.rb'
    - 'app/finders/labels_finder.rb'
    - 'app/finders/lfs_pointers_finder.rb'
    - 'app/finders/license_template_finder.rb'
    - 'app/finders/members_finder.rb'
    - 'app/finders/merge_request_target_project_finder.rb'
    - 'app/finders/merge_requests_finder.rb'
    - 'app/finders/merge_requests_finder/params.rb'
    - 'app/finders/milestones_finder.rb'
    - 'app/finders/notes_finder.rb'
    - 'app/finders/pending_todos_finder.rb'
    - 'app/finders/personal_access_tokens_finder.rb'
    - 'app/finders/personal_projects_finder.rb'
    - 'app/finders/projects_finder.rb'
    - 'app/finders/prometheus_metrics_finder.rb'
    - 'app/finders/protected_branches_finder.rb'
    - 'app/finders/releases_finder.rb'
    - 'app/finders/resource_milestone_event_finder.rb'
    - 'app/finders/resource_state_event_finder.rb'
    - 'app/finders/sentry_issue_finder.rb'
    - 'app/finders/serverless_domain_finder.rb'
    - 'app/finders/snippets_finder.rb'
    - 'app/finders/starred_projects_finder.rb'
    - 'app/finders/tags_finder.rb'
    - 'app/finders/template_finder.rb'
    - 'app/finders/todos_finder.rb'
    - 'app/finders/union_finder.rb'
    - 'app/finders/uploader_finder.rb'
    - 'app/finders/user_finder.rb'
    - 'app/finders/user_group_notification_settings_finder.rb'
    - 'app/finders/user_groups_counter.rb'
    - 'app/finders/user_recent_events_finder.rb'
    - 'app/finders/users_finder.rb'
    - 'app/finders/users_star_projects_finder.rb'
    - 'app/graphql/gitlab_schema.rb'
    - 'app/mailers/abuse_report_mailer.rb'
    - 'app/mailers/application_mailer.rb'
    - 'app/mailers/devise_mailer.rb'
    - 'app/mailers/email_rejection_mailer.rb'
    - 'app/mailers/notify.rb'
    - 'app/mailers/previews/devise_mailer_preview.rb'
    - 'app/mailers/previews/email_rejection_mailer_preview.rb'
    - 'app/mailers/previews/notify_preview.rb'
    - 'app/mailers/previews/repository_check_mailer_preview.rb'
    - 'app/mailers/repository_check_mailer.rb'
    - 'app/models/ability.rb'
    - 'app/models/abuse_report.rb'
    - 'app/models/active_session.rb'
    - 'app/models/appearance.rb'
    - 'app/models/application_record.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/application_setting/term.rb'
    - 'app/models/approval.rb'
    - 'app/models/audit_event.rb'
    - 'app/models/authentication_event.rb'
    - 'app/models/award_emoji.rb'
    - 'app/models/badge.rb'
    - 'app/models/badges/group_badge.rb'
    - 'app/models/badges/project_badge.rb'
    - 'app/models/blob.rb'
    - 'app/models/board.rb'
    - 'app/models/board_group_recent_visit.rb'
    - 'app/models/board_project_recent_visit.rb'
    - 'app/models/broadcast_message.rb'
    - 'app/models/bulk_import.rb'
    - 'app/models/chat_name.rb'
    - 'app/models/chat_team.rb'
    - 'app/models/ci_platform_metric.rb'
    - 'app/models/commit.rb'
    - 'app/models/commit_collection.rb'
    - 'app/models/commit_range.rb'
    - 'app/models/commit_status.rb'
    - 'app/models/commit_user_mention.rb'
    - 'app/models/compare.rb'
    - 'app/models/container_expiration_policy.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/context_commits_diff.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/data_list.rb'
    - 'app/models/deploy_key.rb'
    - 'app/models/deploy_keys_project.rb'
    - 'app/models/deploy_token.rb'
    - 'app/models/deployment.rb'
    - 'app/models/deployment_cluster.rb'
    - 'app/models/deployment_merge_request.rb'
    - 'app/models/deployment_metrics.rb'
    - 'app/models/description_version.rb'
    - 'app/models/design_user_mention.rb'
    - 'app/models/diff_discussion.rb'
    - 'app/models/diff_note.rb'
    - 'app/models/diff_note_position.rb'
    - 'app/models/directly_addressed_user.rb'
    - 'app/models/discussion.rb'
    - 'app/models/discussion_note.rb'
    - 'app/models/draft_note.rb'
    - 'app/models/email.rb'
    - 'app/models/environment.rb'
    - 'app/models/environment_status.rb'
    - 'app/models/epic.rb'
    - 'app/models/event.rb'
    - 'app/models/event_collection.rb'
    - 'app/models/exported_protected_branch.rb'
    - 'app/models/external_issue.rb'
    - 'app/models/external_pull_request.rb'
    - 'app/models/fork_network.rb'
    - 'app/models/fork_network_member.rb'
    - 'app/models/generic_commit_status.rb'
    - 'app/models/gpg_key.rb'
    - 'app/models/gpg_key_subkey.rb'
    - 'app/models/grafana_integration.rb'
    - 'app/models/group.rb'
    - 'app/models/group_custom_attribute.rb'
    - 'app/models/group_deploy_key.rb'
    - 'app/models/group_deploy_keys_group.rb'
    - 'app/models/group_deploy_token.rb'
    - 'app/models/group_group_link.rb'
    - 'app/models/group_import_state.rb'
    - 'app/models/group_label.rb'
    - 'app/models/guest.rb'
    - 'app/models/hooks/active_hook_filter.rb'
    - 'app/models/hooks/project_hook.rb'
    - 'app/models/hooks/service_hook.rb'
    - 'app/models/hooks/system_hook.rb'
    - 'app/models/hooks/web_hook.rb'
    - 'app/models/hooks/web_hook_log.rb'
    - 'app/models/identity.rb'
    - 'app/models/identity/uniqueness_scopes.rb'
    - 'app/models/import_export_upload.rb'
    - 'app/models/import_failure.rb'
    - 'app/models/individual_note_discussion.rb'
    - 'app/models/instance_configuration.rb'
    - 'app/models/instance_metadata.rb'
    - 'app/models/integration.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/issuable_severity.rb'
    - 'app/models/issue.rb'
    - 'app/models/issue_assignee.rb'
    - 'app/models/issue_email_participant.rb'
    - 'app/models/issue_link.rb'
    - 'app/models/issue_user_mention.rb'
    - 'app/models/jira_connect_installation.rb'
    - 'app/models/jira_connect_subscription.rb'
    - 'app/models/jira_import_state.rb'
    - 'app/models/key.rb'
    - 'app/models/label.rb'
    - 'app/models/label_link.rb'
    - 'app/models/label_note.rb'
    - 'app/models/label_priority.rb'
    - 'app/models/legacy_diff_discussion.rb'
    - 'app/models/legacy_diff_note.rb'
    - 'app/models/lfs_download_object.rb'
    - 'app/models/lfs_file_lock.rb'
    - 'app/models/lfs_object.rb'
    - 'app/models/lfs_objects_project.rb'
    - 'app/models/license_template.rb'
    - 'app/models/list.rb'
    - 'app/models/list_user_preference.rb'
    - 'app/models/member.rb'
    - 'app/models/members/group_member.rb'
    - 'app/models/members/last_group_owner_assigner.rb'
    - 'app/models/members/member_task.rb'
    - 'app/models/members/project_member.rb'
    - 'app/models/members_preloader.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_assignee.rb'
    - 'app/models/merge_request_context_commit.rb'
    - 'app/models/merge_request_context_commit_diff_file.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/merge_request_diff_commit.rb'
    - 'app/models/merge_request_diff_file.rb'
    - 'app/models/merge_request_reviewer.rb'
    - 'app/models/merge_request_user_mention.rb'
    - 'app/models/merge_requests_closing_issues.rb'
    - 'app/models/milestone.rb'
    - 'app/models/milestone_note.rb'
    - 'app/models/milestone_release.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespace/traversal_hierarchy.rb'
    - 'app/models/namespace_setting.rb'
    - 'app/models/note.rb'
    - 'app/models/note_diff_file.rb'
    - 'app/models/notification_reason.rb'
    - 'app/models/notification_recipient.rb'
    - 'app/models/notification_setting.rb'
    - 'app/models/oauth_access_grant.rb'
    - 'app/models/oauth_access_token.rb'
    - 'app/models/out_of_context_discussion.rb'
    - 'app/models/pages_deployment.rb'
    - 'app/models/pages_domain.rb'
    - 'app/models/pages_domain_acme_order.rb'
    - 'app/models/personal_access_token.rb'
    - 'app/models/personal_snippet.rb'
    - 'app/models/plan.rb'
    - 'app/models/plan_limits.rb'
    - 'app/models/pool_repository.rb'
    - 'app/models/product_analytics_event.rb'
    - 'app/models/programming_language.rb'
    - 'app/models/project.rb'
    - 'app/models/project_authorization.rb'
    - 'app/models/project_auto_devops.rb'
    - 'app/models/project_ci_cd_setting.rb'
    - 'app/models/project_custom_attribute.rb'
    - 'app/models/project_daily_statistic.rb'
    - 'app/models/project_deploy_token.rb'
    - 'app/models/project_export_job.rb'
    - 'app/models/project_feature.rb'
    - 'app/models/project_feature_usage.rb'
    - 'app/models/project_group_link.rb'
    - 'app/models/project_import_data.rb'
    - 'app/models/project_import_state.rb'
    - 'app/models/project_label.rb'
    - 'app/models/project_metrics_setting.rb'
    - 'app/models/project_pages_metadatum.rb'
    - 'app/models/project_repository.rb'
    - 'app/models/project_setting.rb'
    - 'app/models/project_snippet.rb'
    - 'app/models/project_statistics.rb'
    - 'app/models/project_team.rb'
    - 'app/models/project_wiki.rb'
    - 'app/models/prometheus_alert.rb'
    - 'app/models/prometheus_alert_event.rb'
    - 'app/models/prometheus_metric.rb'
    - 'app/models/protectable_dropdown.rb'
    - 'app/models/protected_branch.rb'
    - 'app/models/protected_tag.rb'
    - 'app/models/push_event.rb'
    - 'app/models/push_event_payload.rb'
    - 'app/models/raw_usage_data.rb'
    - 'app/models/redirect_route.rb'
    - 'app/models/ref_matcher.rb'
    - 'app/models/release.rb'
    - 'app/models/release_highlight.rb'
    - 'app/models/remote_mirror.rb'
    - 'app/models/repository.rb'
    - 'app/models/repository_language.rb'
    - 'app/models/resource_event.rb'
    - 'app/models/resource_label_event.rb'
    - 'app/models/resource_milestone_event.rb'
    - 'app/models/resource_state_event.rb'
    - 'app/models/resource_timebox_event.rb'
    - 'app/models/review.rb'
    - 'app/models/route.rb'
    - 'app/models/self_managed_prometheus_alert_event.rb'
    - 'app/models/sent_notification.rb'
    - 'app/models/sentry_issue.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/service_list.rb'
    - 'app/models/shard.rb'
    - 'app/models/snippet.rb'
    - 'app/models/snippet_blob.rb'
    - 'app/models/snippet_input_action.rb'
    - 'app/models/snippet_input_action_collection.rb'
    - 'app/models/snippet_repository.rb'
    - 'app/models/snippet_statistics.rb'
    - 'app/models/snippet_user_mention.rb'
    - 'app/models/spam_log.rb'
    - 'app/models/ssh_host_key.rb'
    - 'app/models/state_note.rb'
    - 'app/models/subscription.rb'
    - 'app/models/suggestion.rb'
    - 'app/models/synthetic_note.rb'
    - 'app/models/system_note_metadata.rb'
    - 'app/models/term_agreement.rb'
    - 'app/models/timelog.rb'
    - 'app/models/todo.rb'
    - 'app/models/tree.rb'
    - 'app/models/trending_project.rb'
    - 'app/models/u2f_registration.rb'
    - 'app/models/upload.rb'
    - 'app/models/user.rb'
    - 'app/models/user_agent_detail.rb'
    - 'app/models/user_canonical_email.rb'
    - 'app/models/user_custom_attribute.rb'
    - 'app/models/user_detail.rb'
    - 'app/models/user_highest_role.rb'
    - 'app/models/user_interacted_project.rb'
    - 'app/models/user_mention.rb'
    - 'app/models/user_preference.rb'
    - 'app/models/user_status.rb'
    - 'app/models/user_synced_attributes_metadata.rb'
    - 'app/models/users_star_project.rb'
    - 'app/models/users_statistics.rb'
    - 'app/models/vulnerability.rb'
    - 'app/models/web_ide_terminal.rb'
    - 'app/models/webauthn_registration.rb'
    - 'app/models/wiki.rb'
    - 'app/models/wiki_directory.rb'
    - 'app/models/wiki_page.rb'
    - 'app/models/wiki_page/meta.rb'
    - 'app/models/wiki_page/slug.rb'
    - 'app/models/work_item.rb'
    - 'app/models/x509_certificate.rb'
    - 'app/models/x509_issuer.rb'
    - 'app/models/zoom_meeting.rb'
    - 'app/policies/application_setting/term_policy.rb'
    - 'app/policies/award_emoji_policy.rb'
    - 'app/policies/base_policy.rb'
    - 'app/policies/blob_policy.rb'
    - 'app/policies/board_policy.rb'
    - 'app/policies/commit_policy.rb'
    - 'app/policies/commit_status_policy.rb'
    - 'app/policies/container_expiration_policy_policy.rb'
    - 'app/policies/container_repository_policy.rb'
    - 'app/policies/custom_emoji_policy.rb'
    - 'app/policies/deploy_key_policy.rb'
    - 'app/policies/deploy_keys_project_policy.rb'
    - 'app/policies/deploy_token_policy.rb'
    - 'app/policies/deployment_policy.rb'
    - 'app/policies/description_version_policy.rb'
    - 'app/policies/draft_note_policy.rb'
    - 'app/policies/environment_policy.rb'
    - 'app/policies/external_issue_policy.rb'
    - 'app/policies/global_policy.rb'
    - 'app/policies/grafana_integration_policy.rb'
    - 'app/policies/group_deploy_key_policy.rb'
    - 'app/policies/group_deploy_keys_group_policy.rb'
    - 'app/policies/group_label_policy.rb'
    - 'app/policies/group_member_policy.rb'
    - 'app/policies/group_policy.rb'
    - 'app/policies/identity_provider_policy.rb'
    - 'app/policies/instance_metadata_policy.rb'
    - 'app/policies/integration_policy.rb'
    - 'app/policies/issuable_policy.rb'
    - 'app/policies/issue_policy.rb'
    - 'app/policies/merge_request_policy.rb'
    - 'app/policies/milestone_policy.rb'
    - 'app/policies/namespace_policy.rb'
    - 'app/policies/note_policy.rb'
    - 'app/policies/personal_access_token_policy.rb'
    - 'app/policies/personal_snippet_policy.rb'
    - 'app/policies/project_ci_cd_setting_policy.rb'
    - 'app/policies/project_hook_policy.rb'
    - 'app/policies/project_label_policy.rb'
    - 'app/policies/project_member_policy.rb'
    - 'app/policies/project_policy.rb'
    - 'app/policies/project_snippet_policy.rb'
    - 'app/policies/project_statistics_policy.rb'
    - 'app/policies/prometheus_alert_policy.rb'
    - 'app/policies/protected_branch_access_policy.rb'
    - 'app/policies/protected_branch_policy.rb'
    - 'app/policies/release_policy.rb'
    - 'app/policies/repository_policy.rb'
    - 'app/policies/resource_event_policy.rb'
    - 'app/policies/resource_label_event_policy.rb'
    - 'app/policies/resource_milestone_event_policy.rb'
    - 'app/policies/resource_state_event_policy.rb'
    - 'app/policies/suggestion_policy.rb'
    - 'app/policies/system_hook_policy.rb'
    - 'app/policies/timebox_policy.rb'
    - 'app/policies/timelog_policy.rb'
    - 'app/policies/todo_policy.rb'
    - 'app/policies/user_policy.rb'
    - 'app/policies/wiki_page_policy.rb'
    - 'app/policies/wiki_policy.rb'
    - 'app/policies/work_item_policy.rb'
    - 'app/presenters/award_emoji_presenter.rb'
    - 'app/presenters/blob_presenter.rb'
    - 'app/presenters/board_presenter.rb'
    - 'app/presenters/clusterable_presenter.rb'
    - 'app/presenters/commit_presenter.rb'
    - 'app/presenters/commit_status_presenter.rb'
    - 'app/presenters/environment_presenter.rb'
    - 'app/presenters/event_presenter.rb'
    - 'app/presenters/generic_commit_status_presenter.rb'
    - 'app/presenters/gitlab/blame_presenter.rb'
    - 'app/presenters/group_clusterable_presenter.rb'
    - 'app/presenters/group_member_presenter.rb'
    - 'app/presenters/instance_clusterable_presenter.rb'
    - 'app/presenters/issue_email_participant_presenter.rb'
    - 'app/presenters/issue_presenter.rb'
    - 'app/presenters/label_presenter.rb'
    - 'app/presenters/member_presenter.rb'
    - 'app/presenters/members_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/presenters/milestone_presenter.rb'
    - 'app/presenters/pages_domain_presenter.rb'
    - 'app/presenters/project_clusterable_presenter.rb'
    - 'app/presenters/project_hook_presenter.rb'
    - 'app/presenters/project_member_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/presenters/prometheus_alert_presenter.rb'
    - 'app/presenters/release_presenter.rb'
    - 'app/presenters/search_service_presenter.rb'
    - 'app/presenters/sentry_error_presenter.rb'
    - 'app/presenters/service_hook_presenter.rb'
    - 'app/presenters/snippet_blob_presenter.rb'
    - 'app/presenters/snippet_presenter.rb'
    - 'app/presenters/todo_presenter.rb'
    - 'app/presenters/tree_entry_presenter.rb'
    - 'app/presenters/user_presenter.rb'
    - 'app/presenters/web_hook_log_presenter.rb'
    - 'app/serializers/accessibility_error_entity.rb'
    - 'app/serializers/accessibility_reports_comparer_entity.rb'
    - 'app/serializers/accessibility_reports_comparer_serializer.rb'
    - 'app/serializers/analytics_build_entity.rb'
    - 'app/serializers/analytics_build_serializer.rb'
    - 'app/serializers/analytics_commit_entity.rb'
    - 'app/serializers/analytics_commit_serializer.rb'
    - 'app/serializers/analytics_generic_serializer.rb'
    - 'app/serializers/analytics_issue_entity.rb'
    - 'app/serializers/analytics_issue_serializer.rb'
    - 'app/serializers/analytics_merge_request_entity.rb'
    - 'app/serializers/analytics_merge_request_serializer.rb'
    - 'app/serializers/analytics_stage_entity.rb'
    - 'app/serializers/analytics_stage_serializer.rb'
    - 'app/serializers/analytics_summary_entity.rb'
    - 'app/serializers/analytics_summary_serializer.rb'
    - 'app/serializers/award_emoji_entity.rb'
    - 'app/serializers/base_discussion_entity.rb'
    - 'app/serializers/base_serializer.rb'
    - 'app/serializers/blob_entity.rb'
    - 'app/serializers/build_action_entity.rb'
    - 'app/serializers/build_artifact_entity.rb'
    - 'app/serializers/build_coverage_entity.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/build_metadata_entity.rb'
    - 'app/serializers/build_trace_entity.rb'
    - 'app/serializers/build_trace_serializer.rb'
    - 'app/serializers/cluster_application_entity.rb'
    - 'app/serializers/cluster_entity.rb'
    - 'app/serializers/cluster_serializer.rb'
    - 'app/serializers/codequality_degradation_entity.rb'
    - 'app/serializers/codequality_reports_comparer_entity.rb'
    - 'app/serializers/codequality_reports_comparer_serializer.rb'
    - 'app/serializers/cohort_activity_month_entity.rb'
    - 'app/serializers/cohort_entity.rb'
    - 'app/serializers/cohorts_entity.rb'
    - 'app/serializers/cohorts_serializer.rb'
    - 'app/serializers/commit_entity.rb'
    - 'app/serializers/container_repositories_serializer.rb'
    - 'app/serializers/container_repository_entity.rb'
    - 'app/serializers/container_tag_entity.rb'
    - 'app/serializers/container_tags_serializer.rb'
    - 'app/serializers/context_commits_diff_entity.rb'
    - 'app/serializers/current_user_entity.rb'
    - 'app/serializers/deploy_keys_project_entity.rb'
    - 'app/serializers/deployment_cluster_entity.rb'
    - 'app/serializers/deployment_entity.rb'
    - 'app/serializers/deployment_serializer.rb'
    - 'app/serializers/detailed_status_entity.rb'
    - 'app/serializers/diff_file_base_entity.rb'
    - 'app/serializers/diff_file_entity.rb'
    - 'app/serializers/diff_file_metadata_entity.rb'
    - 'app/serializers/diff_line_entity.rb'
    - 'app/serializers/diff_line_parallel_entity.rb'
    - 'app/serializers/diff_line_serializer.rb'
    - 'app/serializers/diff_viewer_entity.rb'
    - 'app/serializers/diffs_entity.rb'
    - 'app/serializers/diffs_metadata_entity.rb'
    - 'app/serializers/diffs_metadata_serializer.rb'
    - 'app/serializers/diffs_serializer.rb'
    - 'app/serializers/discussion_diff_file_entity.rb'
    - 'app/serializers/discussion_entity.rb'
    - 'app/serializers/discussion_serializer.rb'
    - 'app/serializers/draft_note_entity.rb'
    - 'app/serializers/draft_note_serializer.rb'
    - 'app/serializers/entity_request.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/environment_serializer.rb'
    - 'app/serializers/environment_status_entity.rb'
    - 'app/serializers/environment_status_serializer.rb'
    - 'app/serializers/feature_flag_entity.rb'
    - 'app/serializers/feature_flag_serializer.rb'
    - 'app/serializers/feature_flag_summary_entity.rb'
    - 'app/serializers/feature_flag_summary_serializer.rb'
    - 'app/serializers/feature_flags_client_entity.rb'
    - 'app/serializers/feature_flags_client_serializer.rb'
    - 'app/serializers/fork_namespace_entity.rb'
    - 'app/serializers/fork_namespace_serializer.rb'
    - 'app/serializers/group_basic_entity.rb'
    - 'app/serializers/group_child_entity.rb'
    - 'app/serializers/group_child_serializer.rb'
    - 'app/serializers/group_deploy_key_entity.rb'
    - 'app/serializers/group_deploy_key_serializer.rb'
    - 'app/serializers/group_deploy_keys_group_entity.rb'
    - 'app/serializers/group_entity.rb'
    - 'app/serializers/group_issuable_autocomplete_entity.rb'
    - 'app/serializers/group_issuable_autocomplete_serializer.rb'
    - 'app/serializers/group_serializer.rb'
    - 'app/serializers/issuable_entity.rb'
    - 'app/serializers/issuable_sidebar_basic_entity.rb'
    - 'app/serializers/issuable_sidebar_extras_entity.rb'
    - 'app/serializers/issuable_sidebar_todo_entity.rb'
    - 'app/serializers/issue_board_entity.rb'
    - 'app/serializers/issue_entity.rb'
    - 'app/serializers/issue_serializer.rb'
    - 'app/serializers/issue_sidebar_basic_entity.rb'
    - 'app/serializers/issue_sidebar_extras_entity.rb'
    - 'app/serializers/job_artifact_report_entity.rb'
    - 'app/serializers/job_group_entity.rb'
    - 'app/serializers/label_entity.rb'
    - 'app/serializers/label_serializer.rb'
    - 'app/serializers/lfs_file_lock_entity.rb'
    - 'app/serializers/lfs_file_lock_serializer.rb'
    - 'app/serializers/linked_issue_entity.rb'
    - 'app/serializers/linked_project_issue_entity.rb'
    - 'app/serializers/linked_project_issue_serializer.rb'
    - 'app/serializers/member_entity.rb'
    - 'app/serializers/member_serializer.rb'
    - 'app/serializers/member_user_entity.rb'
    - 'app/serializers/merge_request_basic_entity.rb'
    - 'app/serializers/merge_request_create_entity.rb'
    - 'app/serializers/merge_request_create_serializer.rb'
    - 'app/serializers/merge_request_current_user_entity.rb'
    - 'app/serializers/merge_request_diff_entity.rb'
    - 'app/serializers/merge_request_for_pipeline_entity.rb'
    - 'app/serializers/merge_request_metrics_entity.rb'
    - 'app/serializers/merge_request_noteable_entity.rb'
    - 'app/serializers/merge_request_poll_cached_widget_entity.rb'
    - 'app/serializers/merge_request_poll_widget_entity.rb'
    - 'app/serializers/merge_request_serializer.rb'
    - 'app/serializers/merge_request_sidebar_basic_entity.rb'
    - 'app/serializers/merge_request_sidebar_extras_entity.rb'
    - 'app/serializers/merge_request_user_entity.rb'
    - 'app/serializers/merge_request_widget_commit_entity.rb'
    - 'app/serializers/merge_request_widget_entity.rb'
    - 'app/serializers/move_to_project_entity.rb'
    - 'app/serializers/move_to_project_serializer.rb'
    - 'app/serializers/namespace_basic_entity.rb'
    - 'app/serializers/namespace_serializer.rb'
    - 'app/serializers/note_attachment_entity.rb'
    - 'app/serializers/note_entity.rb'
    - 'app/serializers/note_user_entity.rb'
    - 'app/serializers/paginated_diff_entity.rb'
    - 'app/serializers/paginated_diff_serializer.rb'
    - 'app/serializers/pipeline_details_entity.rb'
    - 'app/serializers/pipeline_serializer.rb'
    - 'app/serializers/project_entity.rb'
    - 'app/serializers/project_import_entity.rb'
    - 'app/serializers/project_mirror_entity.rb'
    - 'app/serializers/project_mirror_serializer.rb'
    - 'app/serializers/project_note_entity.rb'
    - 'app/serializers/project_note_serializer.rb'
    - 'app/serializers/project_serializer.rb'
    - 'app/serializers/prometheus_alert_entity.rb'
    - 'app/serializers/prometheus_alert_serializer.rb'
    - 'app/serializers/prometheus_metric_entity.rb'
    - 'app/serializers/prometheus_metric_serializer.rb'
    - 'app/serializers/release_entity.rb'
    - 'app/serializers/release_serializer.rb'
    - 'app/serializers/remote_mirror_entity.rb'
    - 'app/serializers/review_app_setup_entity.rb'
    - 'app/serializers/review_app_setup_serializer.rb'
    - 'app/serializers/rollout_status_entity.rb'
    - 'app/serializers/route_entity.rb'
    - 'app/serializers/route_serializer.rb'
    - 'app/serializers/runner_entity.rb'
    - 'app/serializers/stage_entity.rb'
    - 'app/serializers/stage_serializer.rb'
    - 'app/serializers/suggestion_entity.rb'
    - 'app/serializers/suggestion_serializer.rb'
    - 'app/serializers/test_case_entity.rb'
    - 'app/serializers/test_report_entity.rb'
    - 'app/serializers/test_report_serializer.rb'
    - 'app/serializers/test_report_summary_entity.rb'
    - 'app/serializers/test_report_summary_serializer.rb'
    - 'app/serializers/test_reports_comparer_entity.rb'
    - 'app/serializers/test_reports_comparer_serializer.rb'
    - 'app/serializers/test_suite_comparer_entity.rb'
    - 'app/serializers/test_suite_entity.rb'
    - 'app/serializers/test_suite_serializer.rb'
    - 'app/serializers/test_suite_summary_entity.rb'
    - 'app/serializers/trigger_variable_entity.rb'
    - 'app/serializers/triggered_pipeline_entity.rb'
    - 'app/serializers/user_entity.rb'
    - 'app/serializers/user_preference_entity.rb'
    - 'app/serializers/user_serializer.rb'
    - 'app/serializers/web_ide_terminal_entity.rb'
    - 'app/serializers/web_ide_terminal_serializer.rb'
    - 'app/services/access_token_validation_service.rb'
    - 'app/services/audit_event_service.rb'
    - 'app/services/auto_merge_service.rb'
    - 'app/services/base_container_service.rb'
    - 'app/services/base_count_service.rb'
    - 'app/services/base_project_service.rb'
    - 'app/services/base_renderer.rb'
    - 'app/services/base_service.rb'
    - 'app/services/bulk_create_integration_service.rb'
    - 'app/services/bulk_push_event_payload_service.rb'
    - 'app/services/bulk_update_integration_service.rb'
    - 'app/services/cohorts_service.rb'
    - 'app/services/compare_service.rb'
    - 'app/services/event_create_service.rb'
    - 'app/services/gravatar_service.rb'
    - 'app/services/import_export_clean_up_service.rb'
    - 'app/services/issuable_base_service.rb'
    - 'app/services/markdown_content_rewriter_service.rb'
    - 'app/services/merge_request_metrics_service.rb'
    - 'app/services/metrics_service.rb'
    - 'app/services/note_summary.rb'
    - 'app/services/notification_service.rb'
    - 'app/services/post_receive_service.rb'
    - 'app/services/preview_markdown_service.rb'
    - 'app/services/push_event_payload_service.rb'
    - 'app/services/repository_archive_clean_up_service.rb'
    - 'app/services/reset_project_cache_service.rb'
    - 'app/services/search_service.rb'
    - 'app/services/service_response.rb'
    - 'app/services/system_hooks_service.rb'
    - 'app/services/task_list_toggle_service.rb'
    - 'app/services/todo_service.rb'
    - 'app/services/update_container_registry_info_service.rb'
    - 'app/services/upload_service.rb'
    - 'app/services/user_agent_detail_service.rb'
    - 'app/services/user_project_access_changed_service.rb'
    - 'app/services/verify_pages_domain_service.rb'
    - 'app/services/web_hook_service.rb'
    - 'app/services/x509_certificate_revoke_service.rb'
    - 'app/uploaders/attachment_uploader.rb'
    - 'app/uploaders/avatar_uploader.rb'
    - 'app/uploaders/deleted_object_uploader.rb'
    - 'app/uploaders/external_diff_uploader.rb'
    - 'app/uploaders/favicon_uploader.rb'
    - 'app/uploaders/file_mover.rb'
    - 'app/uploaders/file_uploader.rb'
    - 'app/uploaders/gitlab_uploader.rb'
    - 'app/uploaders/import_export_uploader.rb'
    - 'app/uploaders/job_artifact_uploader.rb'
    - 'app/uploaders/lfs_object_uploader.rb'
    - 'app/uploaders/namespace_file_uploader.rb'
    - 'app/uploaders/personal_file_uploader.rb'
    - 'app/validators/abstract_path_validator.rb'
    - 'app/validators/addressable_url_validator.rb'
    - 'app/validators/any_field_validator.rb'
    - 'app/validators/array_members_validator.rb'
    - 'app/validators/bytesize_validator.rb'
    - 'app/validators/certificate_fingerprint_validator.rb'
    - 'app/validators/certificate_key_validator.rb'
    - 'app/validators/certificate_validator.rb'
    - 'app/validators/cluster_name_validator.rb'
    - 'app/validators/color_validator.rb'
    - 'app/validators/cron_freeze_period_timezone_validator.rb'
    - 'app/validators/cron_timezone_validator.rb'
    - 'app/validators/cron_validator.rb'
    - 'app/validators/devise_email_validator.rb'
    - 'app/validators/duration_validator.rb'
    - 'app/validators/feature_flag_strategies_validator.rb'
    - 'app/validators/feature_flag_user_xids_validator.rb'
    - 'app/validators/future_date_validator.rb'
    - 'app/validators/gitlab/emoji_name_validator.rb'
    - 'app/validators/gitlab/zoom_url_validator.rb'
    - 'app/validators/html_safety_validator.rb'
    - 'app/validators/ip_address_validator.rb'
    - 'app/validators/iso8601_date_validator.rb'
    - 'app/validators/js_regex_validator.rb'
    - 'app/validators/json_schema_validator.rb'
    - 'app/validators/key_restriction_validator.rb'
    - 'app/validators/line_code_validator.rb'
    - 'app/validators/named_ecdsa_key_validator.rb'
    - 'app/validators/namespace_path_validator.rb'
    - 'app/validators/nested_attributes_duplicates_validator.rb'
    - 'app/validators/project_path_validator.rb'
    - 'app/validators/public_url_validator.rb'
    - 'app/validators/qualified_domain_array_validator.rb'
    - 'app/validators/rsa_key_validator.rb'
    - 'app/validators/same_project_association_validator.rb'
    - 'app/validators/sha_validator.rb'
    - 'app/validators/system_hook_url_validator.rb'
    - 'app/validators/top_level_group_validator.rb'
    - 'app/validators/untrusted_regexp_validator.rb'
    - 'app/validators/x509_certificate_credentials_validator.rb'
    - 'app/workers/admin_email_worker.rb'
    - 'app/workers/approve_blocked_pending_approval_users_worker.rb'
    - 'app/workers/authorized_keys_worker.rb'
    - 'app/workers/authorized_projects_worker.rb'
    - 'app/workers/auto_merge_process_worker.rb'
    - 'app/workers/background_migration_worker.rb'
    - 'app/workers/build_hooks_worker.rb'
    - 'app/workers/build_queue_worker.rb'
    - 'app/workers/build_success_worker.rb'
    - 'app/workers/bulk_import_worker.rb'
    - 'app/workers/chat_notification_worker.rb'
    - 'app/workers/ci_platform_metrics_update_cron_worker.rb'
    - 'app/workers/cleanup_container_repository_worker.rb'
    - 'app/workers/cluster_configure_istio_worker.rb'
    - 'app/workers/cluster_install_app_worker.rb'
    - 'app/workers/cluster_patch_app_worker.rb'
    - 'app/workers/cluster_provision_worker.rb'
    - 'app/workers/cluster_update_app_worker.rb'
    - 'app/workers/cluster_upgrade_app_worker.rb'
    - 'app/workers/cluster_wait_for_app_installation_worker.rb'
    - 'app/workers/cluster_wait_for_app_update_worker.rb'
    - 'app/workers/cluster_wait_for_ingress_ip_address_worker.rb'
    - 'app/workers/container_expiration_policy_worker.rb'
    - 'app/workers/create_commit_signature_worker.rb'
    - 'app/workers/create_note_diff_file_worker.rb'
    - 'app/workers/create_pipeline_worker.rb'
    - 'app/workers/delete_container_repository_worker.rb'
    - 'app/workers/delete_diff_files_worker.rb'
    - 'app/workers/delete_merged_branches_worker.rb'
    - 'app/workers/delete_stored_files_worker.rb'
    - 'app/workers/delete_user_worker.rb'
    - 'app/workers/destroy_pages_deployments_worker.rb'
    - 'app/workers/detect_repository_languages_worker.rb'
    - 'app/workers/disallow_two_factor_for_group_worker.rb'
    - 'app/workers/disallow_two_factor_for_subgroups_worker.rb'
    - 'app/workers/email_receiver_worker.rb'
    - 'app/workers/emails_on_push_worker.rb'
    - 'app/workers/error_tracking_issue_link_worker.rb'
    - 'app/workers/expire_build_artifacts_worker.rb'
    - 'app/workers/export_csv_worker.rb'
    - 'app/workers/external_service_reactive_caching_worker.rb'
    - 'app/workers/file_hook_worker.rb'
    - 'app/workers/flush_counter_increments_worker.rb'
    - 'app/workers/gitlab_performance_bar_stats_worker.rb'
    - 'app/workers/gitlab_service_ping_worker.rb'
    - 'app/workers/gitlab_shell_worker.rb'
    - 'app/workers/group_destroy_worker.rb'
    - 'app/workers/group_export_worker.rb'
    - 'app/workers/group_import_worker.rb'
    - 'app/workers/import_export_project_cleanup_worker.rb'
    - 'app/workers/import_issues_csv_worker.rb'
    - 'app/workers/invalid_gpg_signature_update_worker.rb'
    - 'app/workers/issuable_export_csv_worker.rb'
    - 'app/workers/issue_due_scheduler_worker.rb'
    - 'app/workers/member_invitation_reminder_emails_worker.rb'
    - 'app/workers/merge_request_cleanup_refs_worker.rb'
    - 'app/workers/merge_request_mergeability_check_worker.rb'
    - 'app/workers/merge_worker.rb'
    - 'app/workers/migrate_external_diffs_worker.rb'
    - 'app/workers/new_issue_worker.rb'
    - 'app/workers/new_merge_request_worker.rb'
    - 'app/workers/new_note_worker.rb'
    - 'app/workers/pages_domain_removal_cron_worker.rb'
    - 'app/workers/pages_domain_ssl_renewal_cron_worker.rb'
    - 'app/workers/pages_domain_ssl_renewal_worker.rb'
    - 'app/workers/pages_domain_verification_cron_worker.rb'
    - 'app/workers/pages_domain_verification_worker.rb'
    - 'app/workers/pages_worker.rb'
    - 'app/workers/partition_creation_worker.rb'
    - 'app/workers/pipeline_hooks_worker.rb'
    - 'app/workers/pipeline_metrics_worker.rb'
    - 'app/workers/pipeline_notification_worker.rb'
    - 'app/workers/pipeline_process_worker.rb'
    - 'app/workers/pipeline_schedule_worker.rb'
    - 'app/workers/post_receive.rb'
    - 'app/workers/process_commit_worker.rb'
    - 'app/workers/project_cache_worker.rb'
    - 'app/workers/project_destroy_worker.rb'
    - 'app/workers/project_export_worker.rb'
    - 'app/workers/propagate_integration_group_worker.rb'
    - 'app/workers/propagate_integration_inherit_descendant_worker.rb'
    - 'app/workers/propagate_integration_inherit_worker.rb'
    - 'app/workers/propagate_integration_project_worker.rb'
    - 'app/workers/propagate_integration_worker.rb'
    - 'app/workers/prune_old_events_worker.rb'
    - 'app/workers/purge_dependency_proxy_cache_worker.rb'
    - 'app/workers/reactive_caching_worker.rb'
    - 'app/workers/rebase_worker.rb'
    - 'app/workers/remote_mirror_notification_worker.rb'
    - 'app/workers/remove_expired_group_links_worker.rb'
    - 'app/workers/remove_expired_members_worker.rb'
    - 'app/workers/remove_unaccepted_member_invites_worker.rb'
    - 'app/workers/remove_unreferenced_lfs_objects_worker.rb'
    - 'app/workers/repository_archive_cache_worker.rb'
    - 'app/workers/repository_cleanup_worker.rb'
    - 'app/workers/repository_fork_worker.rb'
    - 'app/workers/repository_import_worker.rb'
    - 'app/workers/repository_update_remote_mirror_worker.rb'
    - 'app/workers/run_pipeline_schedule_worker.rb'
    - 'app/workers/schedule_merge_request_cleanup_refs_worker.rb'
    - 'app/workers/schedule_migrate_external_diffs_worker.rb'
    - 'app/workers/self_monitoring_project_create_worker.rb'
    - 'app/workers/self_monitoring_project_delete_worker.rb'
    - 'app/workers/service_desk_email_receiver_worker.rb'
    - 'app/workers/stage_update_worker.rb'
    - 'app/workers/stuck_ci_jobs_worker.rb'
    - 'app/workers/stuck_export_jobs_worker.rb'
    - 'app/workers/stuck_merge_jobs_worker.rb'
    - 'app/workers/system_hook_push_worker.rb'
    - 'app/workers/trending_projects_worker.rb'
    - 'app/workers/update_container_registry_info_worker.rb'
    - 'app/workers/update_external_pull_requests_worker.rb'
    - 'app/workers/update_head_pipeline_for_merge_request_worker.rb'
    - 'app/workers/update_highest_role_worker.rb'
    - 'app/workers/update_merge_requests_worker.rb'
    - 'app/workers/update_project_statistics_worker.rb'
    - 'app/workers/upload_checksum_worker.rb'
    - 'app/workers/wait_for_cluster_creation_worker.rb'
    - 'app/workers/web_hook_worker.rb'
    - 'app/workers/x509_certificate_revoke_worker.rb'
    - 'app/workers/x509_issuer_crl_check_worker.rb'
    - 'ee/app/controllers/countries_controller.rb'
    - 'ee/app/controllers/country_states_controller.rb'
    - 'ee/app/controllers/omniauth_kerberos_controller.rb'
    - 'ee/app/controllers/operations_controller.rb'
    - 'ee/app/controllers/sitemap_controller.rb'
    - 'ee/app/controllers/smartcard_controller.rb'
    - 'ee/app/controllers/subscriptions_controller.rb'
    - 'ee/app/controllers/trial_registrations_controller.rb'
    - 'ee/app/controllers/trials_controller.rb'
    - 'ee/app/finders/audit_event_finder.rb'
    - 'ee/app/finders/billed_users_finder.rb'
    - 'ee/app/finders/custom_project_templates_finder.rb'
    - 'ee/app/finders/dast_scanner_profiles_finder.rb'
    - 'ee/app/finders/dast_site_profiles_finder.rb'
    - 'ee/app/finders/dast_site_validations_finder.rb'
    - 'ee/app/finders/epics_finder.rb'
    - 'ee/app/finders/geo_node_finder.rb'
    - 'ee/app/finders/gpg_keys_finder.rb'
    - 'ee/app/finders/group_saml_identity_finder.rb'
    - 'ee/app/finders/groups_with_templates_finder.rb'
    - 'ee/app/finders/iterations_finder.rb'
    - 'ee/app/finders/licenses_finder.rb'
    - 'ee/app/finders/merge_trains_finder.rb'
    - 'ee/app/finders/productivity_analytics_finder.rb'
    - 'ee/app/finders/scim_finder.rb'
    - 'ee/app/finders/software_license_policies_finder.rb'
    - 'ee/app/mailers/ci_minutes_usage_mailer.rb'
    - 'ee/app/mailers/credentials_inventory_mailer.rb'
    - 'ee/app/mailers/license_mailer.rb'
    - 'ee/app/mailers/previews/ci_minutes_usage_mailer_preview.rb'
    - 'ee/app/mailers/previews/license_mailer_preview.rb'
    - 'ee/app/models/allowed_email_domain.rb'
    - 'ee/app/models/approval_merge_request_rule.rb'
    - 'ee/app/models/approval_merge_request_rule_source.rb'
    - 'ee/app/models/approval_project_rule.rb'
    - 'ee/app/models/approval_project_rules_protected_branch.rb'
    - 'ee/app/models/approval_state.rb'
    - 'ee/app/models/approval_wrapped_any_approver_rule.rb'
    - 'ee/app/models/approval_wrapped_code_owner_rule.rb'
    - 'ee/app/models/approval_wrapped_rule.rb'
    - 'ee/app/models/approver.rb'
    - 'ee/app/models/approver_group.rb'
    - 'ee/app/models/board_assignee.rb'
    - 'ee/app/models/board_label.rb'
    - 'ee/app/models/board_user_preference.rb'
    - 'ee/app/models/burndown.rb'
    - 'ee/app/models/dast_scanner_profile.rb'
    - 'ee/app/models/dast_site.rb'
    - 'ee/app/models/dast_site_profile.rb'
    - 'ee/app/models/dast_site_token.rb'
    - 'ee/app/models/dast_site_validation.rb'
    - 'ee/app/models/elasticsearch_indexed_namespace.rb'
    - 'ee/app/models/elasticsearch_indexed_project.rb'
    - 'ee/app/models/epic_issue.rb'
    - 'ee/app/models/epic_user_mention.rb'
    - 'ee/app/models/feature_flag_issue.rb'
    - 'ee/app/models/geo_node.rb'
    - 'ee/app/models/geo_node_namespace_link.rb'
    - 'ee/app/models/geo_node_status.rb'
    - 'ee/app/models/gitlab/seat_link_data.rb'
    - 'ee/app/models/gitlab_subscription.rb'
    - 'ee/app/models/gitlab_subscription_history.rb'
    - 'ee/app/models/group_deletion_schedule.rb'
    - 'ee/app/models/group_merge_request_approval_setting.rb'
    - 'ee/app/models/group_wiki.rb'
    - 'ee/app/models/group_wiki_repository.rb'
    - 'ee/app/models/historical_data.rb'
    - 'ee/app/models/hooks/group_hook.rb'
    - 'ee/app/models/index_status.rb'
    - 'ee/app/models/insight.rb'
    - 'ee/app/models/instance_security_dashboard.rb'
    - 'ee/app/models/ip_restriction.rb'
    - 'ee/app/models/issuable_metric_image.rb'
    - 'ee/app/models/issuable_sla.rb'
    - 'ee/app/models/issuables_analytics.rb'
    - 'ee/app/models/iteration.rb'
    - 'ee/app/models/iteration_note.rb'
    - 'ee/app/models/ldap_group_link.rb'
    - 'ee/app/models/ldap_key.rb'
    - 'ee/app/models/license.rb'
    - 'ee/app/models/merge_request_block.rb'
    - 'ee/app/models/merge_request_diff_detail.rb'
    - 'ee/app/models/namespace_limit.rb'
    - 'ee/app/models/path_lock.rb'
    - 'ee/app/models/productivity_analytics.rb'
    - 'ee/app/models/project_alias.rb'
    - 'ee/app/models/project_repository_state.rb'
    - 'ee/app/models/project_security_setting.rb'
    - 'ee/app/models/protected_environment.rb'
    - 'ee/app/models/push_rule.rb'
    - 'ee/app/models/resource_iteration_event.rb'
    - 'ee/app/models/resource_weight_event.rb'
    - 'ee/app/models/saml_group_link.rb'
    - 'ee/app/models/saml_provider.rb'
    - 'ee/app/models/scim_identity.rb'
    - 'ee/app/models/scim_oauth_access_token.rb'
    - 'ee/app/models/scoped_label_set.rb'
    - 'ee/app/models/slack_integration.rb'
    - 'ee/app/models/smartcard_identity.rb'
    - 'ee/app/models/software_license.rb'
    - 'ee/app/models/software_license_policy.rb'
    - 'ee/app/models/storage_shard.rb'
    - 'ee/app/models/user_permission_export_upload.rb'
    - 'ee/app/models/users_ops_dashboard_project.rb'
    - 'ee/app/models/users_security_dashboard_project.rb'
    - 'ee/app/models/vulnerability_user_mention.rb'
    - 'ee/app/models/weight_note.rb'
    - 'ee/app/policies/approval_merge_request_rule_policy.rb'
    - 'ee/app/policies/approval_project_rule_policy.rb'
    - 'ee/app/policies/approval_state_policy.rb'
    - 'ee/app/policies/dast_scanner_profile_policy.rb'
    - 'ee/app/policies/dast_site_profile_policy.rb'
    - 'ee/app/policies/dast_site_validation_policy.rb'
    - 'ee/app/policies/epic_policy.rb'
    - 'ee/app/policies/geo_node_policy.rb'
    - 'ee/app/policies/group_hook_policy.rb'
    - 'ee/app/policies/instance_security_dashboard_policy.rb'
    - 'ee/app/policies/issuable_metric_image_policy.rb'
    - 'ee/app/policies/iteration_policy.rb'
    - 'ee/app/policies/push_rule_policy.rb'
    - 'ee/app/policies/resource_iteration_event_policy.rb'
    - 'ee/app/policies/resource_weight_event_policy.rb'
    - 'ee/app/policies/saml_provider_policy.rb'
    - 'ee/app/policies/vulnerability_policy.rb'
    - 'ee/app/presenters/approval_rule_presenter.rb'
    - 'ee/app/presenters/audit_event_presenter.rb'
    - 'ee/app/presenters/epic_issue_presenter.rb'
    - 'ee/app/presenters/epic_presenter.rb'
    - 'ee/app/presenters/iteration_presenter.rb'
    - 'ee/app/presenters/merge_request_approver_presenter.rb'
    - 'ee/app/presenters/subscription_presenter.rb'
    - 'ee/app/presenters/vulnerability_presenter.rb'
    - 'ee/app/serializers/audit_event_entity.rb'
    - 'ee/app/serializers/audit_event_serializer.rb'
    - 'ee/app/serializers/blocking_merge_request_entity.rb'
    - 'ee/app/serializers/dashboard_environment_entity.rb'
    - 'ee/app/serializers/dashboard_environments_project_entity.rb'
    - 'ee/app/serializers/dashboard_environments_serializer.rb'
    - 'ee/app/serializers/dashboard_operations_project_entity.rb'
    - 'ee/app/serializers/dashboard_operations_serializer.rb'
    - 'ee/app/serializers/dependency_entity.rb'
    - 'ee/app/serializers/dependency_list_entity.rb'
    - 'ee/app/serializers/dependency_list_serializer.rb'
    - 'ee/app/serializers/epic_base_entity.rb'
    - 'ee/app/serializers/epic_entity.rb'
    - 'ee/app/serializers/epic_note_entity.rb'
    - 'ee/app/serializers/epic_note_serializer.rb'
    - 'ee/app/serializers/epic_serializer.rb'
    - 'ee/app/serializers/file_lock_entity.rb'
    - 'ee/app/serializers/geo_design_registry_entity.rb'
    - 'ee/app/serializers/geo_design_registry_serializer.rb'
    - 'ee/app/serializers/geo_node_serializer.rb'
    - 'ee/app/serializers/geo_node_status_serializer.rb'
    - 'ee/app/serializers/geo_project_registry_entity.rb'
    - 'ee/app/serializers/geo_project_registry_serializer.rb'
    - 'ee/app/serializers/group_analytics_serializer.rb'
    - 'ee/app/serializers/group_vulnerability_autocomplete_entity.rb'
    - 'ee/app/serializers/group_vulnerability_autocomplete_serializer.rb'
    - 'ee/app/serializers/iteration_serializer.rb'
    - 'ee/app/serializers/license_entity.rb'
    - 'ee/app/serializers/license_scanning_reports_serializer.rb'
    - 'ee/app/serializers/licenses_list_entity.rb'
    - 'ee/app/serializers/licenses_list_serializer.rb'
    - 'ee/app/serializers/linked_epic_entity.rb'
    - 'ee/app/serializers/linked_epic_issue_entity.rb'
    - 'ee/app/serializers/linked_epic_issue_serializer.rb'
    - 'ee/app/serializers/linked_epic_serializer.rb'
    - 'ee/app/serializers/linked_feature_flag_issue_entity.rb'
    - 'ee/app/serializers/linked_feature_flag_issue_serializer.rb'
    - 'ee/app/serializers/metrics_report_metric_entity.rb'
    - 'ee/app/serializers/metrics_reports_comparer_entity.rb'
    - 'ee/app/serializers/metrics_reports_comparer_serializer.rb'
    - 'ee/app/serializers/milestone_serializer.rb'
    - 'ee/app/serializers/namespace_entity.rb'
    - 'ee/app/serializers/productivity_analytics_merge_request_entity.rb'
    - 'ee/app/serializers/report_list_entity.rb'
    - 'ee/app/serializers/scim_oauth_access_token_entity.rb'
    - 'ee/app/serializers/storage_shard_entity.rb'
    - 'ee/app/serializers/storage_shard_serializer.rb'
    - 'ee/app/serializers/user_analytics_entity.rb'
    - 'ee/app/serializers/vulnerability_entity.rb'
    - 'ee/app/serializers/vulnerability_note_entity.rb'
    - 'ee/app/serializers/vulnerability_note_serializer.rb'
    - 'ee/app/serializers/vulnerability_serializer.rb'
    - 'ee/app/services/ldap_group_reset_service.rb'
    - 'ee/app/services/start_pull_mirroring_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/validators/host_validator.rb'
    - 'ee/app/validators/ldap_filter_validator.rb'
    - 'ee/app/workers/active_user_count_threshold_worker.rb'
    - 'ee/app/workers/adjourned_group_deletion_worker.rb'
    - 'ee/app/workers/adjourned_project_deletion_worker.rb'
    - 'ee/app/workers/adjourned_projects_deletion_cron_worker.rb'
    - 'ee/app/workers/admin_emails_worker.rb'
    - 'ee/app/workers/clear_shared_runners_minutes_worker.rb'
    - 'ee/app/workers/create_github_webhook_worker.rb'
    - 'ee/app/workers/elastic_association_indexer_worker.rb'
    - 'ee/app/workers/elastic_cluster_reindexing_cron_worker.rb'
    - 'ee/app/workers/elastic_commit_indexer_worker.rb'
    - 'ee/app/workers/elastic_delete_project_worker.rb'
    - 'ee/app/workers/elastic_full_index_worker.rb'
    - 'ee/app/workers/elastic_index_bulk_cron_worker.rb'
    - 'ee/app/workers/elastic_index_initial_bulk_cron_worker.rb'
    - 'ee/app/workers/elastic_indexing_control_worker.rb'
    - 'ee/app/workers/elastic_namespace_indexer_worker.rb'
    - 'ee/app/workers/elastic_namespace_rollout_worker.rb'
    - 'ee/app/workers/elastic_remove_expired_namespace_subscriptions_from_index_cron_worker.rb'
    - 'ee/app/workers/geo_repository_destroy_worker.rb'
    - 'ee/app/workers/group_saml_group_sync_worker.rb'
    - 'ee/app/workers/historical_data_worker.rb'
    - 'ee/app/workers/import_software_licenses_worker.rb'
    - 'ee/app/workers/iterations_update_status_worker.rb'
    - 'ee/app/workers/ldap_all_groups_sync_worker.rb'
    - 'ee/app/workers/ldap_group_sync_worker.rb'
    - 'ee/app/workers/ldap_sync_worker.rb'
    - 'ee/app/workers/merge_request_reset_approvals_worker.rb'
    - 'ee/app/workers/new_epic_worker.rb'
    - 'ee/app/workers/project_import_schedule_worker.rb'
    - 'ee/app/workers/project_template_export_worker.rb'
    - 'ee/app/workers/refresh_license_compliance_checks_worker.rb'
    - 'ee/app/workers/repository_update_mirror_worker.rb'
    - 'ee/app/workers/scan_security_report_secrets_worker.rb'
    - 'ee/app/workers/set_user_status_based_on_user_cap_setting_worker.rb'
    - 'ee/app/workers/store_security_reports_worker.rb'
    - 'ee/app/workers/sync_seat_link_request_worker.rb'
    - 'ee/app/workers/sync_seat_link_worker.rb'
    - 'ee/app/workers/update_all_mirrors_worker.rb'
    - 'ee/app/workers/update_max_seats_used_for_gitlab_com_subscriptions_worker.rb'
    - 'ee/lib/gitlab/authority_analyzer.rb'
    - 'ee/lib/gitlab/cidr.rb'
    - 'ee/lib/gitlab/custom_file_templates.rb'
    - 'ee/lib/gitlab/expiring_subscription_message.rb'
    - 'ee/lib/gitlab/group_plans_preloader.rb'
    - 'ee/lib/gitlab/ip_address_state.rb'
    - 'ee/lib/gitlab/items_collection.rb'
    - 'ee/lib/gitlab/manual_quarterly_co_term_banner.rb'
    - 'ee/lib/gitlab/path_locks_finder.rb'
    - 'ee/lib/gitlab/proxy.rb'
    - 'ee/lib/gitlab/return_to_location.rb'
    - 'ee/lib/gitlab/update_mirror_service_json_logger.rb'
    - 'ee/spec/support/elastic_query_name_inspector.rb'
    - 'ee/spec/support/test_license.rb'
    - 'lib/carrier_wave_string_file.rb'
    - 'lib/csv_builder.rb'
    - 'lib/event_filter.rb'
    - 'lib/file_size_validator.rb'
    - 'lib/forever.rb'
    - 'lib/generators/gitlab/snowplow_event_definition_generator.rb'
    - 'lib/generators/gitlab/usage_metric_definition_generator.rb'
    - 'lib/generators/gitlab/usage_metric_generator.rb'
    - 'lib/gitlab/anonymous_session.rb'
    - 'lib/gitlab/app_json_logger.rb'
    - 'lib/gitlab/app_logger.rb'
    - 'lib/gitlab/app_text_logger.rb'
    - 'lib/gitlab/application_context.rb'
    - 'lib/gitlab/audit_json_logger.rb'
    - 'lib/gitlab/auth_logger.rb'
    - 'lib/gitlab/authorized_keys.rb'
    - 'lib/gitlab/avatar_cache.rb'
    - 'lib/gitlab/backup_logger.rb'
    - 'lib/gitlab/base_doorkeeper_controller.rb'
    - 'lib/gitlab/batch_worker_context.rb'
    - 'lib/gitlab/blame.rb'
    - 'lib/gitlab/branch_push_merge_commit_analyzer.rb'
    - 'lib/gitlab/buffered_io.rb'
    - 'lib/gitlab/build_access.rb'
    - 'lib/gitlab/changes_list.rb'
    - 'lib/gitlab/chaos.rb'
    - 'lib/gitlab/chat_name_token.rb'
    - 'lib/gitlab/ci_access.rb'
    - 'lib/gitlab/closing_issue_extractor.rb'
    - 'lib/gitlab/code_navigation_path.rb'
    - 'lib/gitlab/color.rb'
    - 'lib/gitlab/conan_token.rb'
    - 'lib/gitlab/contributions_calendar.rb'
    - 'lib/gitlab/contributor.rb'
    - 'lib/gitlab/cross_project_access.rb'
    - 'lib/gitlab/cross_project_access/check_collection.rb'
    - 'lib/gitlab/cross_project_access/check_info.rb'
    - 'lib/gitlab/cross_project_access/class_methods.rb'
    - 'lib/gitlab/daemon.rb'
    - 'lib/gitlab/deploy_key_access.rb'
    - 'lib/gitlab/deprecation_json_logger.rb'
    - 'lib/gitlab/devise_failure.rb'
    - 'lib/gitlab/empty_search_results.rb'
    - 'lib/gitlab/encrypted_command_base.rb'
    - 'lib/gitlab/encrypted_configuration.rb'
    - 'lib/gitlab/encrypted_incoming_email_command.rb'
    - 'lib/gitlab/encrypted_ldap_command.rb'
    - 'lib/gitlab/encrypted_service_desk_email_command.rb'
    - 'lib/gitlab/encrypted_smtp_command.rb'
    - 'lib/gitlab/environment_logger.rb'
    - 'lib/gitlab/exceptions_app.rb'
    - 'lib/gitlab/exclusive_lease.rb'
    - 'lib/gitlab/experiment/rollout/feature.rb'
    - 'lib/gitlab/fake_application_settings.rb'
    - 'lib/gitlab/favicon.rb'
    - 'lib/gitlab/feature_categories.rb'
    - 'lib/gitlab/file_finder.rb'
    - 'lib/gitlab/file_hook_logger.rb'
    - 'lib/gitlab/fips.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/git_access_design.rb'
    - 'lib/gitlab/git_access_project.rb'
    - 'lib/gitlab/git_access_snippet.rb'
    - 'lib/gitlab/git_access_wiki.rb'
    - 'lib/gitlab/git_logger.rb'
    - 'lib/gitlab/git_post_receive.rb'
    - 'lib/gitlab/gl_repository.rb'
    - 'lib/gitlab/gl_repository/identifier.rb'
    - 'lib/gitlab/gl_repository/repo_type.rb'
    - 'lib/gitlab/graphql_logger.rb'
    - 'lib/gitlab/group_search_results.rb'
    - 'lib/gitlab/hashed_path.rb'
    - 'lib/gitlab/highlight.rb'
    - 'lib/gitlab/hotlinking_detector.rb'
    - 'lib/gitlab/http.rb'
    - 'lib/gitlab/http_connection_adapter.rb'
    - 'lib/gitlab/http_io.rb'
    - 'lib/gitlab/import_formatter.rb'
    - 'lib/gitlab/inactive_projects_deletion_warning_tracker.rb'
    - 'lib/gitlab/insecure_key_fingerprint.rb'
    - 'lib/gitlab/integrations_logger.rb'
    - 'lib/gitlab/issuable_metadata.rb'
    - 'lib/gitlab/issuables_count_for_state.rb'
    - 'lib/gitlab/issues_labels.rb'
    - 'lib/gitlab/job_waiter.rb'
    - 'lib/gitlab/json_cache.rb'
    - 'lib/gitlab/json_logger.rb'
    - 'lib/gitlab/jwt_token.rb'
    - 'lib/gitlab/language_detection.rb'
    - 'lib/gitlab/lazy.rb'
    - 'lib/gitlab/lfs_token.rb'
    - 'lib/gitlab/log_timestamp_formatter.rb'
    - 'lib/gitlab/logger.rb'
    - 'lib/gitlab/marker_range.rb'
    - 'lib/gitlab/multi_collection_paginator.rb'
    - 'lib/gitlab/multi_destination_logger.rb'
    - 'lib/gitlab/namespace_sanitizer.rb'
    - 'lib/gitlab/namespaced_session_store.rb'
    - 'lib/gitlab/net_http_adapter.rb'
    - 'lib/gitlab/null_request_store.rb'
    - 'lib/gitlab/object_hierarchy.rb'
    - 'lib/gitlab/omniauth_initializer.rb'
    - 'lib/gitlab/otp_key_rotator.rb'
    - 'lib/gitlab/pipeline_scope_counts.rb'
    - 'lib/gitlab/polling_interval.rb'
    - 'lib/gitlab/process_memory_cache.rb'
    - 'lib/gitlab/process_memory_cache/helper.rb'
    - 'lib/gitlab/process_supervisor.rb'
    - 'lib/gitlab/project_authorizations.rb'
    - 'lib/gitlab/project_search_results.rb'
    - 'lib/gitlab/project_template.rb'
    - 'lib/gitlab/project_transfer.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/push_options.rb'
    - 'lib/gitlab/reactive_cache_set_cache.rb'
    - 'lib/gitlab/redacted_search_results_logger.rb'
    - 'lib/gitlab/reference_counter.rb'
    - 'lib/gitlab/reference_extractor.rb'
    - 'lib/gitlab/repository_cache.rb'
    - 'lib/gitlab/repository_cache/preloader.rb'
    - 'lib/gitlab/repository_check_logger.rb'
    - 'lib/gitlab/repository_hash_cache.rb'
    - 'lib/gitlab/repository_set_cache.rb'
    - 'lib/gitlab/repository_size_checker.rb'
    - 'lib/gitlab/repository_size_error_message.rb'
    - 'lib/gitlab/request_context.rb'
    - 'lib/gitlab/route_map.rb'
    - 'lib/gitlab/safe_request_loader.rb'
    - 'lib/gitlab/safe_request_purger.rb'
    - 'lib/gitlab/sample_data_template.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/search_results.rb'
    - 'lib/gitlab/seeder.rb'
    - 'lib/gitlab/session.rb'
    - 'lib/gitlab/set_cache.rb'
    - 'lib/gitlab/shard_health_cache.rb'
    - 'lib/gitlab/shell.rb'
    - 'lib/gitlab/sidekiq_migrate_jobs.rb'
    - 'lib/gitlab/sidekiq_queue.rb'
    - 'lib/gitlab/signed_commit.rb'
    - 'lib/gitlab/signed_tag.rb'
    - 'lib/gitlab/snippet_search_results.rb'
    - 'lib/gitlab/sourcegraph.rb'
    - 'lib/gitlab/ssh_public_key.rb'
    - 'lib/gitlab/stack_prof.rb'
    - 'lib/gitlab/string_placeholder_replacer.rb'
    - 'lib/gitlab/string_range_marker.rb'
    - 'lib/gitlab/string_regex_marker.rb'
    - 'lib/gitlab/submodule_links.rb'
    - 'lib/gitlab/tcp_checker.rb'
    - 'lib/gitlab/terraform_registry_token.rb'
    - 'lib/gitlab/throttle.rb'
    - 'lib/gitlab/tree_summary.rb'
    - 'lib/gitlab/unicode.rb'
    - 'lib/gitlab/untrusted_regexp.rb'
    - 'lib/gitlab/untrusted_regexp/ruby_syntax.rb'
    - 'lib/gitlab/uploads_transfer.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'lib/gitlab/url_builder.rb'
    - 'lib/gitlab/url_helpers.rb'
    - 'lib/gitlab/url_sanitizer.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/usage_data/topology.rb'
    - 'lib/gitlab/usage_data_metrics.rb'
    - 'lib/gitlab/usage_data_non_sql_metrics.rb'
    - 'lib/gitlab/usage_data_queries.rb'
    - 'lib/gitlab/user_access.rb'
    - 'lib/gitlab/user_access_snippet.rb'
    - 'lib/gitlab/uuid.rb'
    - 'lib/gitlab/version_info.rb'
    - 'lib/gitlab/visibility_level_checker.rb'
    - 'lib/gitlab/wiki_file_finder.rb'
    - 'lib/gitlab/workhorse.rb'
    - 'lib/gitlab/zoom_link_extractor.rb'
    - 'lib/tasks/gitlab/seed/group_seed.rake'
    - 'lib/tasks/import.rake'
    - 'lib/tasks/tokens.rake'
    - 'lib/uploaded_file.rb'
    - 'lib/version_check.rb'
    - 'spec/controllers/concerns/page_limiter_spec.rb'
    - 'spec/lib/bitbucket/collection_spec.rb'
    - 'spec/lib/gitlab/multi_destination_logger_spec.rb'
    - 'spec/lib/marginalia_spec.rb'
    - 'spec/models/concerns/batch_destroy_dependent_associations_spec.rb'
    - 'spec/support/helpers/ci_artifact_metadata_generator.rb'
    - 'spec/support/helpers/fake_migration_classes.rb'
    - 'spec/support/helpers/fake_u2f_device.rb'
    - 'spec/support/helpers/fake_webauthn_device.rb'
    - 'spec/support/helpers/markdown_feature.rb'
    - 'spec/support/helpers/redis_without_keys.rb'
    - 'spec/support/helpers/require_migration.rb'
    - 'spec/support/models/merge_request_without_merge_request_diff.rb'
    - 'spec/support/renameable_upload.rb'
    - 'spec/tasks/gitlab/task_helpers_spec.rb'
    - 'spec/uploaders/object_storage_spec.rb'
